TSMIMEHDRFIELDFIND(3ts)

NAME
TSMimeHdrFieldFind - TSMimeHdrFieldFind API function

SYNOPSIS

            #include <ts/ts.h>

    TSMLoc TSMimeHdrFieldFind(TSMBuffer bufp, TSMLoc hdr, const char *name, int length)

DESCRIPTION

Retrieves the TSMLoc location of a specified MIME field from within the MIME header located at hdr.

The name and length parameters specify which field to retrieve. For each MIME field in the MIME header, a case insensitive string comparison is done between the field name and name. If TSMimeHdrFieldFind() cannot find the requested field, it returns TS_NULL_MLOC. Release the returned TSMLoc handle with a call to TSHandleMLocRelease().

COPYRIGHT
2026, dev@trafficserver.apache.org